Требуется обновление PHP – Предупреждение от WordPress

author

Владислав Синица

date

2 октября, 2019

category

PHP

views

Просмотрело: 98

Совсем недавно я заметил предупреждение в админке сайта от вордпресс о необходимости смены версии PHP на более новую – “WordPress обнаружил, что вы используете небезопасную версию PHP.
“. Вот как оно выглядит:

Требуется обновление PHP - WordPress
Окно предупреждения

Обязательно нужно сделать обновление?
Нет, эта процедура не является обязательной, но у нее есть много преимуществ.

Плюсы обновления версии PHP

Повысится скорость работы сайта. На момент написания статьи, версия PHP 7.3 работает быстрее 5.x примерно в 3-4 раза. Сайт будет быстрее грузиться и это даст ему плюсы в поисковых системах, т.к. известно, что гугл обращает на это пристальное внимание.Только ради этого версию PHP можно обновить. 🙂

Сайт будет более безопасным. Как известно, многие сайты на WordPress подвергаются взлому. Хакеры не стоят на месте, поэтому в любой момент могут найти уязвимость в различных версиях PHP. Но почему ваш сайт будет более безопасным? А потому что на новые версии часто выходят обновления и не факт что на старые будет добавлен патч безопасности, который перекроет уязвимости.

Минусы обновления версии PHP

Некоторые темы или плагины могут быть несовместимы с новой версией PHP. Такое может произойти. Когда вы обновитесь и перейдете на сайт, то увидите различные ошибки на экране.
Как это исправить? Писать в техподдержку разработчикам плагинам от которых версия конфликтует. Либо напишите тут в комментариях, я попытаюсь вам помочь.

Возможно, сложность обновления версии php. На современных, качественных хостингах есть возможность изменения версии прямо из панели управления сайта. Это делается в два клика. Если сайт находится на VPS, то там возможны с этим проблемы, например на Vesta, Ajenti, CentOS Web Panel. Нужно будет вручную устанавливать либо просить администратора вашего VPS о установке новой версии.

Пример обновления версии Php на sprinthost.ru

Перед обновление обязательно сделайте бекап сайта!

Плагином PHP Compatibility Checker проверьте совместимость плагинов на новые версии php. Этот плагин не эталон, но с каждым днем он пополняет свою базу.

В разделе Консоль->Обновления выполните все обновления версий wp, плагинов, тем. Проверьте работоспособность, если все хорошо, то идем к следующему шагу.

Переходите в раздел Сайты и домен и переходите в подраздел Веб-серверы.

веб серверы sprinthost

Далее выбираем версию, как показано на картинке ниже.

выбор версии php на sprinthost

Все! Версию php успешно обновили до 7.3
Если остались вопросы, задавайте в комментариях.

Автор: Владислав Синица

Дата публикации:

Категория: PHP

На чтение: 3 мин

Подписаться
Уведомить о
guest
0 комментариев
Межтекстовые Отзывы
Посмотреть все комментарии